# SPDX-FileCopyrightText: 2024 Copyright contributors to the cppTango project
#
# SPDX-License-Identifier: LGPL-3.0-or-later

set(TELEMETRY_HEADERS
        Configuration.h
        macros.h
        consts.h
        Interface.h
        InterfaceFactory.h
        InterfaceScope.h
        Scope.h
        Span.h
        TelemetryAppender.h)

install(
    FILES ${TELEMETRY_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/tango/common/telemetry")

set(TELEMETRY_HEADERS ${TELEMETRY_HEADERS}  PARENT_SCOPE)
